> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetodesk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get team member details

> Retrieves details of a specific team member.

<Info>Replace `{your-subdomain}` with your workspace's subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml /bundled/team-members.yaml GET /team-members/{team_member_id}
openapi: 3.0.3
info:
  title: NeetoDesk Team Members APIs
  version: 2.0.0
servers:
  - description: NeetoDesk APIs
    url: https://{your-subdomain}.neetodesk.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
tags:
  - name: Team Members
    description: APIs to manage team members in the workspace.
paths:
  /team-members/{team_member_id}:
    get:
      tags:
        - Team Members
      summary: Get team member details
      description: Retrieves details of a specific team member.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - in: path
          name: team_member_id
          description: >-
            ID of the team member. You can get this by listing all team members
            using the [List all team members](/api-reference/team-members/list)
            API.
          required: true
          schema:
            type: string
            example: aaaabbbb-cccc-dddd-eeee-ffff00001111
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  team_member:
                    $ref: '#/components/schemas/team_member'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
  schemas:
    team_member:
      type: object
      properties:
        id:
          type: string
          example: aaaabbbb-cccc-dddd-eeee-ffff00001111
        email:
          type: string
          example: oliver@example.com
        first_name:
          type: string
          example: Oliver
        last_name:
          type: string
          example: Smith
        time_zone:
          type: string
          example: Asia/Kolkata
        profile_image_url:
          type: string
          nullable: true
          example: https://example.com/avatar.png
        organization_role:
          type: string
          example: Admin
        active:
          type: boolean
          example: true

````